×

Discussion Board

Results 1 to 8 of 8
  1. #1
    Registered User
    Join Date
    Feb 2009
    Posts
    3

    Basic software requirements for J2ME

    Hi ! I am a beginner and want to start with J2ME developement. What are the latest softwares which I should use? Also list web source of those softwares. thanks.

  2. #2
    Super Contributor
    Join Date
    Oct 2007
    Location
    Deva, Romania
    Posts
    3,471

    Re: Basic software requirements for J2ME

    Hi,

    I recommend you watch the Getting Started with NetBeans 6.0 Mobility for Nokia Devices screencast. It explains everything you need to get started.

  3. #3
    Regular Contributor
    Join Date
    Mar 2009
    Posts
    80

    Re: Basic software requirements for J2ME -getting SDK integrated

    Hi,

    I have seen this animation several times. It is very good.

    First question:
    HOWEVER, I have installed Netbeans IDE 6.5.
    When checking (as told) if the SDK S60_5th_Edition_SDK_v1_0_en platform is integrated into the Netbeans 6.5, it is not.
    Only J2SE/JDK 1.6 (Default) is defined.
    I have downloaded and installed the S60_5th_Edition_SDK_v1.0 on my computer.

    As instructed in animation I then try to integrate the S60 SDK into Netbeans 6.5:
    TOOLS/JAVA PLATFORMS/Add Platform etc.
    I find the file "C:\S60\devices\S60_5th_Edition_SDK_v1.0" in the "Choos platform folder" but it refuse to integrate it. The "Next" button is grey. How do I proceed here?

    Last question:
    In the previous documentation it is instructed that I also installs a Mobility Pack to the Netbeans package. Is this neccesary to Netbeans 6.5? If so, where do I find it?

    PLEASE HELP on how to get the development environment installed correctly.

    /Per
    Last edited by d-safety; 2009-03-17 at 19:46.

  4. #4
    Super Contributor
    Join Date
    Oct 2007
    Location
    Deva, Romania
    Posts
    3,471

    Re: Basic software requirements for J2ME

    It's better to start with NetBeans 6.1 Mobility Pack, which you can find here.

  5. #5
    Regular Contributor
    Join Date
    Mar 2009
    Posts
    80

    Smile Re: Basic software requirements for J2ME

    Thank's Bogdan,

    As you understand I'm new to this. Just so I get everything right:
    1. I keep Netbeans 6.5.
    2. I now install NetBeans 6.1 Mobility Pack
    3. After this I will be able to integrate the S60_5th_Edition_SDK_v1.0 into Netbeans 6.5?

    Last: I want to develop an application that focus on handling Location data from the GPS. Could you be so kind and point me to the best intro text on how get going.
    (My book "Beginning Java ME Platform" use an old Netbeans version as example.)


    Best Regards
    /Per

  6. #6
    Super Contributor
    Join Date
    Oct 2007
    Location
    Deva, Romania
    Posts
    3,471

    Re: Basic software requirements for J2ME

    Quote Originally Posted by d-safety View Post
    As you understand I'm new to this. Just so I get everything right:
    1. I keep Netbeans 6.5.
    2. I now install NetBeans 6.1 Mobility Pack
    3. After this I will be able to integrate the S60_5th_Edition_SDK_v1.0 into Netbeans 6.5?
    Well I only mentioned version 6.1 because I've done more testing with it that I have with 6.5. If you plan to use 6.5 there is no need for 6.1.

    I just tested the S60 5th Edition SDK (version 1.0) with 6.5 and it is possible to add it as a platform the normal way (Tools->Java Platforms->Add Platform->Java ME MIDP Emulator->Find More Java ME Platform Folders...)


    Quote Originally Posted by d-safety View Post
    Last: I want to develop an application that focus on handling Location data from the GPS. Could you be so kind and point me to the best intro text on how get going.
    (My book "Beginning Java ME Platform" use an old Netbeans version as example.)
    Sure You can find a comprehensive overview of the Location capabilities Java has to offer in the Java ME Developer's Library. And of course there are code examples on the Wiki: Java Location Articles.

    Hope this helps

  7. #7
    Registered User
    Join Date
    Jan 2010
    Posts
    1

    Re: Basic software requirements for J2ME

    the flash is not working.
    It halts at the first page only.
    I am a beginner to j2me, and knows nothing about it.
    Please tell me a source to study.
    Also, what are the softwres required for it?
    Reply asap..

  8. #8
    Super Contributor
    Join Date
    Jun 2003
    Location
    Cheshire, UK
    Posts
    7,395

    Re: Basic software requirements for J2ME

    You might want to read this thread.

    Graham.

Similar Threads

  1. Replies: 0
    Last Post: 2006-07-26, 03:49
  2. Software Engineer (C++/Symbian, London)
    By mobile2004 in forum Symbian
    Replies: 0
    Last Post: 2004-11-05, 09:41
  3. software requirements
    By mfchuhan in forum Mobile Java General
    Replies: 0
    Last Post: 2003-05-17, 10:35

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×